> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Run

> Get one durable maintenance run and its aggregate result counts.



## OpenAPI

````yaml /openapi.json get /v1/orgs/{orgId}/projects/{projectId}/maintenance/runs/{runId}
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/orgs/{orgId}/projects/{projectId}/maintenance/runs/{runId}:
    get:
      tags:
        - projectMaintenance
      summary: Get Run
      description: Get one durable maintenance run and its aggregate result counts.
      operationId: projectMaintenance.getRun
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: The organization's id (UUID) or slug — either form is accepted.
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: The project's id (UUID) or slug — either form is accepted.
        - name: runId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Maintenance run.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                properties:
                  id:
                    type: string
                    format: uuid
                  trigger:
                    type: string
                    enum:
                      - scheduled
                      - manual
                      - deployment
                  status:
                    type: string
                    enum:
                      - queued
                      - running
                      - waiting_for_approval
                      - succeeded
                      - failed
                      - cancelled
                  categories:
                    type: array
                    items:
                      type: string
                      enum:
                        - reliability
                  environments:
                    type: array
                    items:
                      type: string
                  policyVersion:
                    type: integer
                    minimum: 1
                  findingCount:
                    type: integer
                    minimum: 0
                  pendingActionCount:
                    type: integer
                    minimum: 0
                  error:
                    type:
                      - string
                      - 'null'
                  startedAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  finishedAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  createdAt:
                    type: string
                    format: date-time
                required:
                  - id
                  - trigger
                  - status
                  - categories
                  - environments
                  - policyVersion
                  - findingCount
                  - pendingActionCount
                  - error
                  - startedAt
                  - finishedAt
                  - createdAt
        '404':
          description: No such run in this project.
      security:
        - apiKey: []
        - session: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: korve_api_key
    session:
      type: apiKey
      in: cookie
      name: korve.session_token

````